alias moo='check_mount /z/stuffing ; check_mount /z/walrus ; check_mount /z/chunky ; check_mount /z/fredgrid'
alias unmoo='sudo umount /z/stuffing ; sudo umount /z/walrus ; sudo umount /z/chunky ; sudo umount /z/fredgrid'
-# load in the xsede build scripts.
-source "$FEISTY_MEOW_SCRIPTS/buildor/build_xsedes.sh"
+# load in the gffs build scripts.
+source "$FEISTY_MEOW_SCRIPTS/buildor/gffs_builders.sh"
# just shows a separator line for an 80 column console, or uses the first
# parameter as the number of columns to expect.
# add a bunch of folders to the list for checkin & checkout. these are
# definitely personal, and some of them are fairly dated (the yeti and
# hoople folders, for example).
- REPOSITORY_LIST+="cloud ebooks web antique inova_codebase yeti gffs/docs gffs/secrets gffs/xsede_tests gffs/code/fred-trunk "
+ REPOSITORY_LIST+="cloud ebooks web antique inova_codebase yeti gffs/docs gffs/secrets gffs/code/fred-trunk "
# point to our local certificate for ssh usage.
export SVN_SSH="ssh -i $HOME/.ssh/id_dsa_sourceforge"
USER=jurgis
-# we need these for the XSEDE and GenesisII environment.
+# we need these for the GenesisII GFFS environment.
GENII_INSTALL_DIR=/home/jurgis/gffs/code/GenesisII/trunk
XSEDE_TESTS_FOLDER=$GENII_INSTALL_DIR/xsede_tools
GENII_USER_DIR=/home/jurgis/.tmp/dot-genesis-xcg3
koeritz
xsede
+gffs
+ems
hmmm
namespace
--- /dev/null
+#!/bin/bash
+
+source $FEISTY_MEOW_SCRIPTS/core/functions.sh
+
+zip -r $HOME/gffs_backup_$(date_stringer).zip $GENII_INSTALL_DIR --exclude "*/.svn/*" --exclude "*/bin.eclipse/*" --exclude "*/bin.ant/*" --exclude "*/codegen/*" --exclude "*/genned-src/*" --exclude "*/genned-obj/*" &>$TMP/zz_codebackup.log
+++ /dev/null
-#!/bin/bash
-
-source $FEISTY_MEOW_SCRIPTS/core/functions.sh
-
-zip -r $HOME/gffs_backup_$(date_stringer).zip $GENII_INSTALL_DIR --exclude "*/.svn/*" --exclude "*/bin.eclipse/*" --exclude "*/bin.ant/*" --exclude "*/codegen/*" --exclude "*/genned-src/*" --exclude "*/genned-obj/*" &>$TMP/zz_codebackup.log
+++ /dev/null
-#!/bin/bash
-
-source "$FEISTY_MEOW_SCRIPTS/core/functions.sh"
-
-#hmmm: if this works well, we can use it in lots of places.
-alias BAIL_ON_FAIL='if [ $? -ne 0 ]; then echo "A problem occurred. $msg"; return 1; fi'
-
-function build_xsede()
-{
- if [ -z "$GENII_INSTALL_DIR" ]; then
- echo GENII_INSTALL_DIR is not set.
- return 1
- fi
- pushd "$GENII_INSTALL_DIR"
- if [ $? -ne 0 ]; then
- error_sound
- return 1
- fi
- echo "Build starting at: $(date)"
-
- # clean up some things.
- \rm -rf unit-test-reports
-
- # build the trunk.
- ant -Dbuild.targetArch=64 build
- if [ $? -ne 0 ]; then
- error_sound
- return 1
- fi
- echo "Build done at: $(date)"
- popd
-
- success_sound
-}
-
-function rebuild_xsede()
-{
- if [ -z "$GENII_INSTALL_DIR" ]; then
- echo GENII_INSTALL_DIR is not set.
- return 1
- fi
- pushd "$GENII_INSTALL_DIR"
- ant clean
-
- if [ $? -ne 0 ]; then
- error_sound
- return 1
- fi
- popd
- build_xsede
-}
-
-# a shortcut for doing a new build and creating a bootstrap container with it.
-function rebu_bootstrap()
-{
- rebuild_xsede
- if [ $? -ne 0 ]; then echo "failed to rebuild xsede code"; return 1; fi
-
- quickstarter="$GENII_INSTALL_DIR/xsede_tools/library/bootstrap_quick_start.sh"
- if [ ! -f "$quickstarter" ]; then
- quickstarter="$XSEDE_TEST_ROOT/library/bootstrap_quick_start.sh"
- fi
-
- bash "$quickstarter"
- if [ $? -ne 0 ]; then
- echo "failed to bootstrap a container."
- error_sound
- return 1
- fi
-
- success_sound
-}
-
-# a shortcut for building without a clean, and creating a bootstrap container with the code.
-function bu_bootstrap()
-{
- build_xsede
- if [ $? -ne 0 ]; then echo "failed to rebuild xsede code"; return 1; fi
-
- quickstarter="$GENII_INSTALL_DIR/xsede_tools/library/bootstrap_quick_start.sh"
- if [ ! -f "$quickstarter" ]; then
- quickstarter="$XSEDE_TEST_ROOT/library/bootstrap_quick_start.sh"
- fi
-
- bash "$quickstarter"
- if [ $? -ne 0 ]; then
- echo "failed to bootstrap a container."
- error_sound
- return 1
- fi
-
- success_sound
-}
-
-# a shortcut for doing a quick build and then creating an installer.
-function fast_install_build()
-{
- bash "$GENII_INSTALL_DIR/xsede_tools/tools/installer/fast_installer_build.sh" $*
- if [ $? -ne 0 ]; then
- echo "failed to create the installer."
- error_sound
- return 1
- fi
-
- success_sound
-}
-
-
--- /dev/null
+#!/bin/bash
+
+source "$FEISTY_MEOW_SCRIPTS/core/functions.sh"
+
+#hmmm: if this works well, we can use it in lots of places.
+alias BAIL_ON_FAIL='if [ $? -ne 0 ]; then echo "A problem occurred. $msg"; return 1; fi'
+
+function build_gffs()
+{
+ if [ -z "$GENII_INSTALL_DIR" ]; then
+ echo GENII_INSTALL_DIR is not set.
+ return 1
+ fi
+ pushd "$GENII_INSTALL_DIR"
+ if [ $? -ne 0 ]; then
+ error_sound
+ return 1
+ fi
+ echo "Build starting at: $(date)"
+
+ # clean up some things.
+ \rm -rf unit-test-reports
+
+ # build the trunk.
+ ant -Dbuild.targetArch=64 build
+ if [ $? -ne 0 ]; then
+ error_sound
+ return 1
+ fi
+ echo "Build done at: $(date)"
+ popd
+
+ success_sound
+}
+
+function rebuild_gffs()
+{
+ if [ -z "$GENII_INSTALL_DIR" ]; then
+ echo GENII_INSTALL_DIR is not set.
+ return 1
+ fi
+ pushd "$GENII_INSTALL_DIR"
+ ant clean
+
+ if [ $? -ne 0 ]; then
+ error_sound
+ return 1
+ fi
+ popd
+ build_gffs
+}
+
+# a shortcut for doing a new build and creating a bootstrap container with it.
+function rebu_bootstrap()
+{
+ rebuild_gffs
+ if [ $? -ne 0 ]; then echo "failed to rebuild gffs code"; return 1; fi
+
+ quickstarter="$GENII_INSTALL_DIR/xsede_tools/library/bootstrap_quick_start.sh"
+ if [ ! -f "$quickstarter" ]; then
+ quickstarter="$XSEDE_TEST_ROOT/library/bootstrap_quick_start.sh"
+ fi
+
+ bash "$quickstarter"
+ if [ $? -ne 0 ]; then
+ echo "failed to bootstrap a container."
+ error_sound
+ return 1
+ fi
+
+ success_sound
+}
+
+# a shortcut for building without a clean, and creating a bootstrap container with the code.
+function bu_bootstrap()
+{
+ build_gffs
+ if [ $? -ne 0 ]; then echo "failed to rebuild gffs code"; return 1; fi
+
+ quickstarter="$GENII_INSTALL_DIR/xsede_tools/library/bootstrap_quick_start.sh"
+ if [ ! -f "$quickstarter" ]; then
+ quickstarter="$XSEDE_TEST_ROOT/library/bootstrap_quick_start.sh"
+ fi
+
+ bash "$quickstarter"
+ if [ $? -ne 0 ]; then
+ echo "failed to bootstrap a container."
+ error_sound
+ return 1
+ fi
+
+ success_sound
+}
+
+# a shortcut for doing a quick build and then creating an installer.
+function fast_install_build()
+{
+ bash "$GENII_INSTALL_DIR/xsede_tools/tools/installer/fast_installer_build.sh" $*
+ if [ $? -ne 0 ]; then
+ echo "failed to create the installer."
+ error_sound
+ return 1
+ fi
+
+ success_sound
+}
+
+
# these are helper functions for doing localized revision control.
# this script should be sourced into other scripts that use it.
+#hmmm: re-address this code, since it doesn't make a lot of sense to me right now...
# one unpleasantry to take care of first; cygwin barfs aggressively if the TMP directory
-# is a DOS path, but we need it to be a DOS path for our XSEDE testing, so that blows.
+# is a DOS path, but we need it to be a DOS path for our GFFS testing, so that blows.
# to get past this, TMP gets changed below to a hopefully generic and safe place.
if [[ "$TMP" =~ .:.* ]]; then